=== debian/changelog ===
libmpack-lua (1.0.6-1) unstable; urgency=medium

  * Initial release after being split out from src:libmpack.
  * Cherry-pick upstream patches to allow using system libs
    + Fix builds using gcc7 and/or system lua
    + Allow linking against system libmpack
  * Remove -pie from DEB_BUILD_MAINT_OPTIONS, due to the new semantics.
  * debian/rules: Make upstream buildsystem link against system libmpack

 -- James McCoy <jamessan@debian.org>  Mon, 24 Jul 2017 23:45:39 -0400
