=== debian/control ===
Source: libmpack-lua
Section: interpreters
Priority: extra
Maintainer: James McCoy <jamessan@debian.org>
Build-Depends: debhelper (>= 10),
               dh-lua,
               libmpack-dev,
Standards-Version: 3.9.8
Homepage: https://github.com/libmpack/libmpack-lua/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/libmpack-lua.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/libmpack-lua.git

Package: lua-mpack
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: libmpack binding for the Lua language
 libmpack is a small binary serialization/RPC library that implements both the
 msgpack and msgpack-rpc specifications.
 .
 This package provides the Lua bindings based on libmpack.
