## libmpack-lua 1.0.7

=== Makefile ===
--- 
+++ 
@@ -2,28 +2,36 @@
 
 # distributors probably want to set this to 'yes' for both make and make install
 USE_SYSTEM_LUA ?= no
+USE_SYSTEM_MPACK ?= no
+ifneq ($(USE_SYSTEM_MPACK),no)
+# Can't use luarocks to build if linking against system libmpack because
+# apparently luarocks doesn't let you specify extra linker flags from the
+# command line
+USE_SYSTEM_LUA := 1
+endif
 
 # Lua-related configuration
 MPACK_LUA_VERSION ?= 5.1.5
-MPACK_LUA_VERSION_NOPATCH = $(shell echo -n $(MPACK_LUA_VERSION) | sed 's!\([0-9]\.[0-9]\).[0-9]!\1!')
+MPACK_LUA_VERSION_NOPATCH = $(basename $(MPACK_LUA_VERSION))
 LUA_URL ?= https://lua.org/ftp/lua-$(MPACK_LUA_VERSION).tar.gz
 LUAROCKS_URL ?= https://github.com/keplerproject/luarocks/archive/v2.2.0.tar.gz
 LUA_TARGET ?= linux
 MPACK_VERSION ?= 1.0.5
 MPACK_URL ?= https://github.com/tarruda/libmpack/archive/$(MPACK_VERSION).tar.gz
-LMPACK_VERSION ?= $(shell cat mpack-*.rockspec | sed -n "s/^local git_tag = '\\([^']\\+\\)'/\\1/p")
+LMPACK_VERSION != sed "/^local git_tag =/!d;s/[^']*'//;s/'\$$//;q" mpack-*.rockspec
 
 # deps location
-DEPS_DIR ?= $(shell pwd)/.deps/$(MPACK_LUA_VERSION)
+DEPS_DIR ?= $(CURDIR)/.deps/$(MPACK_LUA_VERSION)
 DEPS_PREFIX ?= $(DEPS_DIR)/usr
 DEPS_BIN ?= $(DEPS_PREFIX)/bin
+DEPS_CMOD ?= $(DEPS_PREFIX)/lib/lua/$(MPACK_LUA_VERSION_NOPATCH)
 
 # targets
 LUA ?= $(DEPS_BIN)/lua
 LUAROCKS ?= $(DEPS_BIN)/luarocks
 BUSTED ?= $(DEPS_BIN)/busted
 ifeq ($(USE_SYSTEM_LUA),no)
-MPACK ?= $(DEPS_PREFIX)/lib/lua/$(MPACK_LUA_VERSION_NOPATCH)/mpack.so
+MPACK ?= $(DEPS_CMOD)/mpack.so
 else
 MPACK ?= mpack.so
 endif
@@ -40,13 +48,20 @@
 CFLAGS += -DLUA_C89_NUMBERS
 endif
 
-LUA_INCLUDE := $(shell $(PKG_CONFIG) --cflags lua-$(MPACK_LUA_VERSION_NOPATCH) 2>/dev/null || echo "-I/usr/include/lua$(MPACK_LUA_VERSION_NOPATCH)")
-LUA_LIB := $(shell $(PKG_CONFIG) --libs lua-$(MPACK_LUA_VERSION_NOPATCH) 2>/dev/null || echo "-llua$(MPACK_LUA_VERSION_NOPATCH)")
+LUA_IMPL ?= lua-$(MPACK_LUA_VERSION_NOPATCH)
+LUA_INCLUDE ?= $(shell $(PKG_CONFIG) --cflags $(LUA_IMPL) 2>/dev/null || echo "-I/usr/include/lua$(MPACK_LUA_VERSION_NOPATCH)")
 INCLUDES = $(LUA_INCLUDE)
-LIBS = $(LUA_LIB)
+LIBS =
 
-LUA_CMOD_INSTALLDIR := $(shell $(PKG_CONFIG) --variable=INSTALL_CMOD lua-$(MPACK_LUA_VERSION_NOPATCH) 2>/dev/null || echo "/usr/lib/lua/$(MPACK_LUA_VERSION_NOPATCH)")
+ifeq ($(USE_SYSTEM_MPACK),no)
+MPACK_SRC = mpack-src
+else
+MPACK_SRC =
+LIBS += $(shell $(PKG_CONFIG) --libs mpack 2>/dev/null || echo "-lmpack")
+CFLAGS += -DMPACK_USE_SYSTEM $(shell $(PKG_CONFIG) --cflags mpack 2> /dev/null)
+endif
 
+LUA_CMOD_INSTALLDIR ?= $(shell $(PKG_CONFIG) --variable=INSTALL_CMOD $(LUA_IMPL) 2>/dev/null || echo "/usr/lib/lua/$(MPACK_LUA_VERSION_NOPATCH)")
 
 # Misc
 # Options used by the 'valgrind' target, which runs the tests under valgrind
@@ -94,13 +109,11 @@
 	gdb -x .gdb --args $(LUA) \
 		$(DEPS_PREFIX)/lib/luarocks/rocks/busted/2.0.rc12-1/bin/busted test.lua
 
-ifeq ($(USE_SYSTEM_LUA),no)
-$(MPACK): $(LUAROCKS) mpack-src lmpack.c
-	$(LUAROCKS) make CFLAGS='$(CFLAGS)'
-else
-$(MPACK): mpack-src lmpack.c
-	$(CC) -shared $(CFLAGS) $(INCLUDES) $(LDFLAGS) $^ -o $@ $(LIBS)
-endif
+$(DEPS_CMOD)/mpack.so: $(LUAROCKS) $(MPACK_SRC) lmpack.c
+	$(LUAROCKS) make CFLAGS='$(CFLAGS)' $(LUAROCKS_LDFLAGS)
+
+mpack.so: lmpack.c $(MPACK_SRC)
+	$(CC) -shared $(CFLAGS) $(INCLUDES) $(LDFLAGS) $< -o $@ $(LIBS)
 
 $(BUSTED): $(LUAROCKS)
 	$(LUAROCKS) install penlight 1.3.2-2
