=== debian/changelog ===
libmpack-lua (1.0.7-2) unstable; urgency=medium

  * control: Change Vcs-* to salsa.debian.org
  * Bump debhelper compat to 11
  * copyright: Use https URL for copyright Format
  * Declare compliance with Policy 4.1.3

 -- James McCoy <jamessan@debian.org>  Tue, 13 Mar 2018 22:58:16 -0400

libmpack-lua (1.0.7-1) unstable; urgency=medium

  * New upstream release
  * Adjust defines specified in CLIB_CFLAGS according to upstream build
    changes.
  * Change Priority to optional
  * Add Lintian override for package-name-doesnt-match-sonames
  * Declare compliance with Policy 4.1.2

 -- James McCoy <jamessan@debian.org>  Fri, 15 Dec 2017 08:58:53 -0500
