=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: libmpack-lua
 Section: interpreters
-Priority: extra
+Priority: optional
 Maintainer: James McCoy <jamessan@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                dh-lua,
                libmpack-dev,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: https://github.com/libmpack/libmpack-lua/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/libmpack-lua.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/libmpack-lua.git
+Vcs-Git: https://salsa.debian.org/jamessan/libmpack-lua.git
+Vcs-Browser: https://salsa.debian.org/jamessan/libmpack-lua
 
 Package: lua-mpack
 Architecture: any
