## libmpack-lua 1.0.10

=== debian/changelog ===
libmpack-lua (1.0.10-1) experimental; urgency=medium

  * New upstream release
  * Add Lua 5.4 support
  * Run upstream test suite during build
  * Switch to debhelper-compat and bump to compat 13
  * Declare *.la files as intentionally not installed
  * Add lua-mpack-dev package
  * Declare Rules-Requires-Root: no
  * Declare compliance with Policy 4.6.2
  * Add mpack to pkgconfig Requires

 -- James McCoy <jamessan@debian.org>  Sun, 20 Aug 2023 12:02:36 -0400
