=== debian/control ===
Source: libmpack-lua
Section: interpreters
Priority: optional
Maintainer: James McCoy <jamessan@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-lua,
 libmpack-dev,
 lua-busted <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/libmpack/libmpack-lua/
Vcs-Git: https://salsa.debian.org/jamessan/libmpack-lua.git
Vcs-Browser: https://salsa.debian.org/jamessan/libmpack-lua

Package: lua-mpack
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 ${lua:Provides},
XB-Lua-Versions: ${lua:Versions}
Description: libmpack binding for the Lua language
 libmpack is a small binary serialization/RPC library that implements both the
 msgpack and msgpack-rpc specifications.
 .
 This package provides the Lua bindings based on libmpack.

Package: lua-mpack-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libmpack-dev,
 lua-mpack (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 ${lua:Provides},
XB-Lua-Versions: ${lua:Versions}
Description: libmpack binding for the Lua language (development files)
 This package contains the static library and headers for lua-mpack.
