=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+export DH_LUA_OPTS="skip-test-app-dynamic skip-test-app-static"
 
 include /usr/share/dpkg/architecture.mk
 include /usr/share/dpkg/buildflags.mk
